Subject: Re: [PATCH 1/5] compat/obstack: fix -Wcast-function-type warnings

From: SZEDER Gábor <[email-masked]>
Date: Thu, 17 Jan 2019 02:36:01 +0100

On Tue, Jan 15, 2019 at 05:13:11PM -0800, Jonathan Nieder wrote:
> Hi,
> 
> SZEDER Gábor wrote:
> > gnulib's obstack.{c,h} doesn't fix the issues that we've fixed in
> > 3254310863 (obstack.c: Fix some sparse warnings, 2011-09-11) and
> > d190a0875f (obstack: Fix portability issues, 2011-08-28).  So if we
> > were to re-import from gnulib, then these two patches would have to be
> > applied on top yet again.
> 
> Thanks for looking into it.  The former looks applicable to upstream,
> while the latter appears to do some Git-specific things (e.g. relying
> on git-compat-util.h).
> 
> Mind if I send the former upstream?

That's not my patch, so it doesn't matter whether I mind :)  Cc-ing
Ramsay, to make sure.

> I believe gnulib upstream relies
> on copyright assignment, so it would help if you have a copyright
> assignment for the project on file, but if not, they may consider it a
> small enough change to take without.
> 
> Thanks,
> Jonathan